commit:     9305b11ed139c8f0aaa3812c0ee11a2c17c1278a
Author:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Fri Jul 12 11:41:31 2024 +0000
Commit:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Fri Jul 12 12:35:28 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9305b11e

dev-dotnet/fantomas: bump to 6.3.10

Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>

 dev-dotnet/fantomas/Manifest               |   4 +
 dev-dotnet/fantomas/fantomas-6.3.10.ebuild | 293 +++++++++++++++++++++++++++++
 2 files changed, 297 insertions(+)

diff --git a/dev-dotnet/fantomas/Manifest b/dev-dotnet/fantomas/Manifest
index 331c2b83643b..3fb251516cef 100644
--- a/dev-dotnet/fantomas/Manifest
+++ b/dev-dotnet/fantomas/Manifest
@@ -5,13 +5,17 @@ DIST dotnet-fsharplint.0.19.2.nupkg 10590252 BLAKE2B 
203441a4b2b39310c7925c56b3d
 DIST dotnet.reproduciblebuilds.1.1.1.nupkg 24193 BLAKE2B 
7fa2efe9549ec3f7242ceff1566e3e1a11c5fe51091a1ed6faa7fc39ed7feb40c1e6f0b24a0cbc024e157905215e5be1fe776df0f647acbfbb3ac60c9b654756
 SHA512 
03dabc14d61db33723dd02d11613848125a36ecbafaad95fba1727f909f92777d6ee963394d00a6eb4e9383e636cbe46b54516abe2c6ea2baffdb76a2617b332
 DIST editorconfig.0.15.0.nupkg 110720 BLAKE2B 
68a997f808b18a05aece36cf3f6f37c817a6c4bd9dc6288ecf132b13ebc52ad5e23d9476cf34bb3c3c68c702bd278cf86c08c597ad031ea9966284f8a725f0b8
 SHA512 
7e2d5406867195bf705ef5ddc4683771ccf6a2269240914fddf6c4eeff1bd312bdadc433258d6b5e50fa65271969c9c95c2c10d489970b03edb65dad14d0f8be
 DIST fable.core.3.0.0.nupkg 88115 BLAKE2B 
5c5a18b6aa818db35b9ee8502f109477a7c86a12efcae9359f1d70aaa7e33ddcef32daf6c33d7b1c71aa83984bc3c110dbae0bad11edf3049503ee602b405175
 SHA512 
705f01b68ac1c03d71d03e3a7183e032ba45033da49942a98614d515d6ab7d4d308dff84eaf941625bbf44fbac496e1a28510d81a3e802713c3e92079aed2023
+DIST fantomas-6.3.10.tar.gz 50376693 BLAKE2B 
88797d62f99e3ada271a267f0c9f34f0f944f66907e9ecf6ed3622894803aa700e80bfed90d4ca8e988f5e212e2f944a951ef1846e2e963d9c51d89b4e688a9e
 SHA512 
29286aa34a0d230c4336b2156a2338d5651c2de2fe6efb5a2e38b260045f3d4edc0ed8e9640e57c05e3c4c8092698d0527402a87056d09d1c8c4e82346861ac7
 DIST fantomas-6.3.7.tar.gz 50375115 BLAKE2B 
7c35e69efd4581087e281de3b89d7127eb5e95ce299e2d74671d5fe8d8d28f0b3e77000707462552dd0aa6641f3da94e58e53509a14a17a3673a1d1634ee3bd1
 SHA512 
255947f08062bec3e27ce02af454616e8e8a37c27f3fd3c21584ed6733b2c5d5a7cd2fd6ae9fa25f0598ff16668ec44f5207f42769f746947d6a4fde6cfbe0a0
 DIST fantomas-6.3.9.tar.gz 50375336 BLAKE2B 
493cbed4e73b0151887994552ffc7a46ddfdcee61a7c522187b1c1bfbffb0f168f7231679c90560c45f797924d5258db09e7d90db472f2dea4ad7d7e6a20f6fa
 SHA512 
8111d7df7280f5a7b61cfca7d30a5bd442eda529248f59d8545799ad93948401e488673bd470d3482c7e0c6bb34ddac2aef389edb78ad0a19f47a419f1179001
 DIST fantomas.6.3.0.nupkg 5811389 BLAKE2B 
57a12579087cb6cbe0cfec9885d0bd5768ba79245a197d825a9b8e8fd15d03cf9a23b3661d91492e4621e5aebe468e846bbfeb44339a7754a3d61a8826a5c62a
 SHA512 
a708356ee3c135c88d759f92aac75d272f9e706f1fd151dd4dadb0d6b808b169636adc40875a0e858a8fbab9e5006a475b3bacd6712e7d200deda17f6452d0c6
+DIST fantomas.6.3.9.nupkg 5937066 BLAKE2B 
04db0dda7bea16a55caeeb53e936b90d1d8000ed490f8178e5eea5fe2aea194b5259cc559389d5bcf5f18a7ab432cca31ee5bb8db181cee1c92c3183556818be
 SHA512 
555580cac2748278c99f5188e1c246a5cf6dbd865b257a1d9f75e09f30dbde599b401f6b4a56f0e62734a4206a00af871a048b35a6e8e8b2ba3c881d4527173e
 DIST fparsec.1.1.1.nupkg 353063 BLAKE2B 
47e93d6ed373bcf3fd5c26ace2d60a1e6701b14bb4cbca1650bc15bfd0dce402ea8c8ad471004dfe618f0e9507ec60c53d7e01ead2e7480ececfc4a0395552ff
 SHA512 
b28a1cc8a4fd2d4b000adf68b0a9ffb6aa72ec2cdd5157beb47635346122ac61f6dac0e0b06de8528ed7336e21e9881918fd18d36585507ebefb3336c57b6c76
 DIST fscheck.2.16.5.nupkg 1202407 BLAKE2B 
0da4c276a6e0a1c68f0513a2e1c65291adfe527d89eb005a684937f895d9040d0bfcf5e8c657c6fc112fbfb9b889e4a6c010a0f92789796d0166d93d624a147a
 SHA512 
a1bcecd7c86bd5598d585071c54b404fa8db4d9ed744562dbd83023a6b28b27eaff703353370f127f28bd8dcc6bfd6689640bdd177f5e947a9fbe5353e454367
 DIST fsdocs-tool.20.0.0.nupkg 11763184 BLAKE2B 
a0e21f83fcf14ad10ee67aed7539c5d8a9cab0a2090b92dcb87cce399460215ef4841228ba944ff8a91a5d0645a1488055ec270857d8b1e72dde0023fb5d7bec
 SHA512 
4f37253bf7006182135d78d38988e71fd50403d5f5379e138c430d048f1a4ef982b24cc81469bbf40b399128365b77e7201de9fc7adc2354a316ebbe4d0658a0
+DIST fsdocs-tool.21.0.0-beta-002.nupkg 11766459 BLAKE2B 
6f4d9bb96004f0b6426066b320d14ae4fa2bb9f7cc7863ab90b77875d7f598ed0c2a063ae625d808de1733a5b50fe1478f505c5ad50c8eb26d4a63e7cab6c4d7
 SHA512 
7d875cb19fa5dd291024f3b2f723ef9a7199c7f819fa0b3d095c892f1f576179b34856be7b9a0d2865b2fefc067c991cf7c6a6ca3c5d4c06da025ebb6232fd60
 DIST fsharp-050271d631956a4e0d0484a583d38236b727a46d.tar.gz 17653435 BLAKE2B 
a97cc9caf04512cd8cda0a11870f9070f344e5efdfa1d7e9e0a5750ac8e608a8f9b7fb2daa46cd5c3d8ad1f9e335b75da77b9ea9750692f46e0aef20b81d6716
 SHA512 
9b677f4c5dc94904ecc064bd8e23b1f6d1bb3eb0f7956d182ca3858a435e5c5a1503bc5ef0c8ffdda87554f3db3906f5789fa48db05b011ddcf714cc296926e8
+DIST fsharp-836d4e0603442d6053c8d439993a022501cae494.tar.gz 17221818 BLAKE2B 
972c42f0d095a65c953cca77aaf92ae6a25967d73597715668c8d6da58dc4b25cf450ec8e5569a02567e568fc176ff732c14d9d24df3b10c752956b96cd56c01
 SHA512 
ed0cfd605911e5d9ddbaff19c3604811bac155c727e2c2d1bceab21fe9ceec5b9e8b746e9394171bfa6d0fba539fd4acf60a867130b3cf9572d478f1887d0d9c
 DIST fsharp-analyzers.0.25.0.nupkg 17775447 BLAKE2B 
71c843ccc197310dcf847527acca3b7fa9ef5af1912bcafa31c0f76f8f2af91728547fbf8e5ab870f9bb2881e4e34bd35356183804f7cd7e0ea70a3c261425dd
 SHA512 
2aa601f7d02aa1943751ed89477f9a52fe267f1a8f53002b976dce434b55fbc0e2228283b51640c767522d9b6dd7f89554d5addee4c3696add0c845a8b95f138
 DIST fsharp.analyzers.build.0.3.0.nupkg 15911 BLAKE2B 
64d63679503b16b541537fd4482c47cd384628bd7ca70f6ad771b93bb11554b82605c2827a0facc8dc5917b196548bc739f989d5ae7899e3b0673df5da50620f
 SHA512 
f07cbbcfaca9ae92285d143ae303adbb95fedd15cca256f278fe4adefb7c8c7e810f74d7ff53bb50dcffbd3408f9350baddb925c6b39ff1a10814eddda7045fd
 DIST fsharp.core.5.0.1.nupkg 1327145 BLAKE2B 
59030ab01c542beab3fd7b4bea7ff2ad125fd7e5343395c4d9754010372a31894b50a7046a821a8485e0890f29b1e0781e96250f62dfc9b3baa260229489f75c
 SHA512 
94d2a60b6765163e583c1816d633b806a06c19c2f2fd1bbcbed52beb726a8a6d604e325a4b73b159a437abc306598140f0f4768deb4f38c2687b1e0329972c67

diff --git a/dev-dotnet/fantomas/fantomas-6.3.10.ebuild 
b/dev-dotnet/fantomas/fantomas-6.3.10.ebuild
new file mode 100644
index 000000000000..21dfb03e2b5c
--- /dev/null
+++ b/dev-dotnet/fantomas/fantomas-6.3.10.ebuild
@@ -0,0 +1,293 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DOTNET_PKG_COMPAT=8.0
+NUGETS="
[email protected]
[email protected]
[email protected]
[email protected]
+
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
+runtime.debian.8-x64.runtime.native.system.security.cryptography.openssl@4.3.2
+runtime.fedora.23-x64.runtime.native.system.security.cryptography.openssl@4.3.2
+runtime.fedora.24-x64.runtime.native.system.security.cryptography.openssl@4.3.2
[email protected]
[email protected]
[email protected]
[email protected]
+runtime.opensuse.13.2-x64.runtime.native.system.security.cryptography.openssl@4.3.2
+runtime.opensuse.42.1-x64.runtime.native.system.security.cryptography.openssl@4.3.2
+runtime.osx.10.10-x64.runtime.native.system.security.cryptography.apple@4.3.0
+runtime.osx.10.10-x64.runtime.native.system.security.cryptography.openssl@4.3.2
+runtime.rhel.7-x64.runtime.native.system.security.cryptography.openssl@4.3.2
+runtime.ubuntu.14.04-x64.runtime.native.system.security.cryptography.openssl@4.3.2
+runtime.ubuntu.16.04-x64.runtime.native.system.security.cryptography.openssl@4.3.2
+runtime.ubuntu.16.10-x64.runtime.native.system.security.cryptography.openssl@4.3.2
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
+"
+
+inherit check-reqs dotnet-pkg
+
+DESCRIPTION="FSharp source code formatter"
+HOMEPAGE="https://fsprojects.github.io/fantomas/
+       https://github.com/fsprojects/fantomas/";
+
+if [[ "${PV}" == *9999* ]] ; then
+       inherit git-r3
+
+       EGIT_REPO_URI="https://github.com/fsprojects/${PN}.git";
+else
+       SRC_URI="https://github.com/fsprojects/${PN}/archive/v${PV}.tar.gz
+               -> ${P}.tar.gz"
+
+       KEYWORDS="~amd64"
+fi
+
+SRC_URI+=" ${NUGET_URIS} "
+
+FCS_COMMIT="836d4e0603442d6053c8d439993a022501cae494"
+SRC_URI+="
+       https://github.com/dotnet/fsharp/archive/${FCS_COMMIT}.tar.gz
+               -> fsharp-${FCS_COMMIT}.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+
+CHECKREQS_DISK_BUILD="2G"
+DOTNET_PKG_PROJECTS=(
+       src/Fantomas/Fantomas.fsproj
+)
+DOTNET_PKG_BAD_PROJECTS=(
+       src/Fantomas.Benchmarks/Fantomas.Benchmarks.fsproj
+)
+DOTNET_PKG_RESTORE_EXTRA_ARGS=(
+       --force-evaluate
+)
+
+DOCS=( CHANGELOG.md README.md docs/docs/{contributors,end-users} )
+
+pkg_setup() {
+       check-reqs_pkg_setup
+       dotnet-pkg_pkg_setup
+}
+
+src_unpack() {
+       dotnet-pkg_src_unpack
+
+       if [[ -n "${EGIT_REPO_URI}" ]] ; then
+               git-r3_src_unpack
+       fi
+}
+
+src_prepare() {
+       dotnet-pkg_src_prepare
+
+       # Reimplementing "dotnet build.fsx -p Init" in shell.
+       mkdir -p "${S}/.deps" || die
+       ln -s "${WORKDIR}/fsharp-${FCS_COMMIT}" "${S}/.deps/${FCS_COMMIT}" || 
die
+       find "${S}/.deps/${FCS_COMMIT}/src" -type f \
+                -exec sed -e "s|FSharp.Compiler|Fantomas.FCS|g" -i {} + || die
+}
+
+src_configure() {
+       dotnet-pkg-base_restore_tools
+       dotnet-pkg_src_configure
+}
+
+src_test() {
+       local -a test_projects=(
+               Fantomas.Core.Tests
+               Fantomas.Tests
+       )
+       local test_project
+       for test_project in "${test_projects[@]}" ; do
+               dotnet-pkg-base_test 
"src/${test_project}/${test_project}.fsproj" \
+                       -p:RollForward=Major
+       done
+}

Reply via email to